Package com.databricks.jdbc.dbclient.impl.common

## Class MetadataResultSetBuilder

- java.lang.Object
- - com.databricks.jdbc.dbclient.impl.common.MetadataResultSetBuilder

    public class MetadataResultSetBuilder
    extends Object

### Constructor Summary

Constructors
`MetadataResultSetBuilder()`

### Method Summary

All Methods Static Methods Concrete Methods
`static DatabricksResultSet` `getCatalogsResult​(ResultSet resultSet)`
`static DatabricksResultSet` `getCatalogsResult​(List<List<Object>> rows)`
`static DatabricksResultSet` `getColumnsResult​(ResultSet resultSet)`
`static DatabricksResultSet` `getColumnsResult​(List<List<Object>> rows)`
`static DatabricksResultSet` `getFunctionsResult​(ResultSet resultSet, String catalog)`
`static DatabricksResultSet` `getFunctionsResult​(List<List<Object>> rows)`
`static DatabricksResultSet` `getPrimaryKeysResult​(ResultSet resultSet)`
`static DatabricksResultSet` `getPrimaryKeysResult​(List<List<Object>> rows)`
`static DatabricksResultSet` `getSchemasResult​(ResultSet resultSet, String catalog)`
`static DatabricksResultSet` `getSchemasResult​(List<List<Object>> rows)`
`static DatabricksResultSet` `getTablesResult​(String catalog, List<List<Object>> rows)`
`static DatabricksResultSet` `getTablesResult​(ResultSet resultSet, String[] tableTypes)`
`static DatabricksResultSet` `getTableTypesResult()`
`static DatabricksResultSet` `getTypeInfoResult​(List<List<Object>> rows)`
`static String` `stripTypeName​(String typeName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetadataResultSetBuilder

    public MetadataResultSetBuilder()

### Method Detail

#### getFunctionsResult

    public static DatabricksResultSet getFunctionsResult​(ResultSet resultSet,
                                                         String catalog)
                                                  throws SQLException

Throws:
  `SQLException`

#### getColumnsResult

    public static DatabricksResultSet getColumnsResult​(ResultSet resultSet)
                                                throws SQLException

Throws:
  `SQLException`

#### getCatalogsResult

    public static DatabricksResultSet getCatalogsResult​(ResultSet resultSet)
                                                 throws SQLException

Throws:
  `SQLException`

#### getSchemasResult

    public static DatabricksResultSet getSchemasResult​(ResultSet resultSet,
                                                       String catalog)
                                                throws SQLException

Throws:
  `SQLException`

#### getTablesResult

    public static DatabricksResultSet getTablesResult​(ResultSet resultSet,
                                                      String[] tableTypes)
                                               throws SQLException

Throws:
  `SQLException`

#### getTableTypesResult

    public static DatabricksResultSet getTableTypesResult()

#### getTypeInfoResult

    public static DatabricksResultSet getTypeInfoResult​(List<List<Object>> rows)

#### getPrimaryKeysResult

    public static DatabricksResultSet getPrimaryKeysResult​(ResultSet resultSet)
                                                    throws SQLException

Throws:
  `SQLException`

#### stripTypeName

    public static String stripTypeName​(String typeName)

#### getCatalogsResult

    public static DatabricksResultSet getCatalogsResult​(List<List<Object>> rows)

#### getSchemasResult

    public static DatabricksResultSet getSchemasResult​(List<List<Object>> rows)

#### getTablesResult

    public static DatabricksResultSet getTablesResult​(String catalog,
                                                      List<List<Object>> rows)

#### getColumnsResult

    public static DatabricksResultSet getColumnsResult​(List<List<Object>> rows)

#### getPrimaryKeysResult

    public static DatabricksResultSet getPrimaryKeysResult​(List<List<Object>> rows)

#### getFunctionsResult

    public static DatabricksResultSet getFunctionsResult​(List<List<Object>> rows)